classification
Title: asyncio logging documentation clarifications
Type: behavior Stage: resolved
Components: asyncio, Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, docs@python, giampaolo.rodola, gvanrossum, hardkrash, pitrou, python-dev, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2014-05-05 20:19 by hardkrash, last changed 2016-10-13 20:58 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
issue21443.patch Mariatta, 2016-10-07 03:33 review
Messages (5)
msg217952 - (view) Author: steven Michalske (hardkrash) Date: 2014-05-05 20:19
The asyncio documentation should comment on how to mute and increase some of it's logging.

18.5.7.3. Logging
The asyncio module logs information with the logging module in the logger 'asyncio'.


Adding a bit of text that mentions the following line would be great.
"""
The default verbosity will include messages at logging.INFO level.
To modify the verbosity of asyncio logging add a similar line to your application.
`logging.getLogger('asyncio').setLevel(logging.WARNING)`
"""


Note:
While this is clear to active users of the logging module, it is not clear to novices, who want INFO in their applications but not from asyncio.
msg219312 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-05-28 22:09
Good idea.
msg278226 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-10-07 03:33
Hi, I added the paragraph explaining how to change the log level for asyncio.
Please check it out.
Thanks :)
msg278615 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-13 20:57
New changeset e68b1b2515e9 by Guido van Rossum in branch '3.5':
Issue #21443: Show how to change log level for asyncio.
https://hg.python.org/cpython/rev/e68b1b2515e9

New changeset 660058d76788 by Guido van Rossum in branch '3.6':
Issue #21443: Show how to change log level for asyncio. (Merge 3.5->3.6)
https://hg.python.org/cpython/rev/660058d76788

New changeset 861d22bd852d by Guido van Rossum in branch 'default':
Issue #21443: Show how to change log level for asyncio. (Merge 3.6->3.7)
https://hg.python.org/cpython/rev/861d22bd852d
msg278616 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-10-13 20:58
Thanks! Applied to 3.5, 3.6, 3.7. (We don't change 3.4 any more except for security fixes.)
History
Date User Action Args
2016-10-13 20:58:53gvanrossumsetstatus: open -> closed
type: enhancement -> behavior
messages: + msg278616

resolution: fixed
stage: needs patch -> resolved
2016-10-13 20:57:56python-devsetnosy: + python-dev
messages: + msg278615
2016-10-07 03:33:09Mariattasetfiles: + issue21443.patch

nosy: + Mariatta
messages: + msg278226

keywords: + patch
2014-06-06 11:45:27vstinnersetcomponents: + asyncio
2014-05-28 22:09:03gvanrossumsetmessages: + msg219312
2014-05-28 22:07:10vstinnersetnosy: + gvanrossum, pitrou, vstinner, giampaolo.rodola, yselivanov
2014-05-06 19:45:51ned.deilysettitle: asyncoio logging documentation clarifications. -> asyncio logging documentation clarifications
stage: needs patch
2014-05-05 20:19:57hardkrashcreate